## uphpmvault 0.5

=== Makefile ===
# Makefile

TARGETS:=uphpmvault

uphpmvault_SRCS:=uphpmvault.cc dumpw.cc

OBJ   = $(patsubst %.c,$O%.o,$(patsubst %.cc,$O%.o,$1))
uphpmvault_OBJS := $(uphpmvault_SRCS)
uphpmvault_OBJS := $(call OBJ,$(uphpmvault_OBJS))

CC:=gcc
CXX:=g++
CFLAGS:=-O2 -g
LFLAGS:=-g
CFLAGS += -Wall

.PHONY: all
all: $(TARGETS)

# --- Target Rules

uphpmvault: $(uphpmvault_OBJS)
	@echo "LINK       " $@
	@$(CXX) -o $@ $^ $(LFLAGS)
	@cp $@ $@_unstripped
	@strip $@

.PHONY: install
install:
	install -d $(DESTDIR)/usr/bin
	install -s uphpmvault $(DESTDIR)/usr/bin

.PHONY: build
build:
# Override MAKELEVEL or the debian-helpers get mad
	MAKELEVEL= dpkg-buildpackage -I.git

# --- Inference Rules

$O%.o: %.c
	@printf "COMPILE     %-30.30s %s\n" "$@" "$(CFLAGS) $(CFLAGS_C)"
	@$(CXX) -c $(CFLAGS) $(CFLAGS_C)  -o $@ $<

$O%.o: %.cc
	@printf "COMPILE     %-30.30s %s\n" "$@" "$(CFLAGS) $(CFLAGS_CXX)"
	@$(CXX) -c  $(CFLAGS) $(CFLAGS_CXX) -o $@ $<

# --- Maintenance Rules

.PHONY: tidy
tidy:
	-rm *~

.PHONY: clean distclean
clean distclean:
	@echo "CLEAN"
	@touch _clean
	@-rm _clean $(wildcard *.o *~ $(TARGETS) *_unstripped)

=== debian/changelog ===
uphpmvault (0.5) unstable; urgency=low

  * Added 'install' target to Makefile.  Package not much good without it.
  * Added man page.

 -- Marc Singer <elf@buici.com>  Fri, 04 Jul 2008 14:39:30 -0700

uphpmvault (0.4) unstable; urgency=low

  * First release of package.

 -- Marc Singer <elf@buici.com>  Tue, 24 Jun 2008 22:03:45 -0700

## uphpmvault 0.7

=== debian/changelog ===
uphpmvault (0.7) unstable; urgency=low

  * Releasing a second time to remove git control files from source
    archive.

 -- Marc Singer <elf@buici.com>  Mon, 02 May 2011 10:31:16 -0700

uphpmvault (0.6) unstable; urgency=low

  * GCC 4.6 changes (exposes) a missing prototype for ::fstat.  Including
    the proscribed headers solves issue.  (closes: bug#624912)
  * Fixed type-pun warnings.
  * Fixed sizeof in printf warning exposed on 64 bit host.

 -- Marc Singer <elf@buici.com>  Mon, 02 May 2011 10:12:31 -0700

## uphpmvault 0.7ubuntu1

=== debian/changelog ===
uphpmvault (0.7ubuntu1) oneiric; urgency=low

  * uphpmvault.cc: add missing header to fix FTBFS (LP: #755977).

 -- Ilya Barygin <barygin@gmail.com>  Sun, 03 Jul 2011 20:03:32 +0400

## uphpmvault 0.8

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 CXX:=g++
 CFLAGS:=-O2 -g
 LFLAGS:=-g
-CFLAGS += -Wall
+CFLAGS += -Wall -Wformat -Wstrict-aliasing
 
 .PHONY: all
 all: $(TARGETS)

=== debian/changelog ===
uphpmvault (0.8) unstable; urgency=low

  * Added stddef.h s.t. offsetof macro is available.  Required by GCC 4.6.  (closes: bug#632569)

 -- Marc Singer <elf@buici.com>  Sun, 03 Jul 2011 11:02:58 -0700

=== debian/control ===
Source: uphpmvault
Section: utils
Priority: optional
Build-Depends: debhelper (>= 7)
Maintainer: Marc Singer <elf@debian.org>
Standards-Version: 3.7.3
Vcs-Git: git://scarlet.buici.com/uphpmvault

Package: uphpmvault
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: upload recovery images to HP MediaVault2 via Ethernet
 The HP MediaVault--generation 2 a.k.a MV2--implements a custom
 recovery protocol for rescuing a device when the operating system
 image is corrupt.  The uphpmvault application listens for broadcast
 Ethernet packets from an MV2 devices waiting for recovery.  On
 receipt of one of these 'beacon' packets, uphpmvault transmits a
 recovery image to the waiting device which will automatically boot
 the recovery image.
 .
 The primary purpose of this application is for installing Debian
 GNU/Linux on an MV2.

## uphpmvault 0.8b1

=== debian/changelog ===
uphpmvault (0.8b1) staging; urgency=high

  * No-change rebuild against libstdc++6

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 28 Aug 2015 10:25:26 +0000

## uphpmvault 0.8build1

=== debian/changelog ===
uphpmvault (0.8build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:48:57 +0000

## uphpmvault 0.8build2

=== debian/changelog ===
uphpmvault (0.8build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:01:43 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 7)
-Maintainer: Marc Singer <elf@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Marc Singer <elf@debian.org>
 Standards-Version: 3.7.3
 Vcs-Git: git://scarlet.buici.com/uphpmvault
